> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get GSTR-1A Declaration Details

> This API is used to view the GSTR1 , GSTR1A and IFF Liability details along with Available ITC ,Cash Ledger details and ITC Available as per GSTR2B Details.

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-1a/file/declaration_details.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - Returns
        - File GSTR-1A
      summary: Get GSTR-1A Declaration Details
      description: >-
        This API is used to view the GSTR1 , GSTR1A and IFF Liability details
        along with Available ITC ,Cash Ledger details and ITC Available as per
        GSTR2B Details.
      operationId: getGstr1aDeclarationDetails
      parameters:
        - name: year
          in: path
          description: Return year, for example `2025`.
          required: true
          example: '2026'
          schema:
            type: string
        - name: month
          in: path
          description: Return month, for example `04`.
          required: true
          example: '04'
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            Generate Taxpayer Session flow and pass the token in the
            authorization header.
          required: true
          example: '{{gsp_access_token}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: Compliance API version.
          required: false
          example: 1.0.0
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                success:
                  summary: Success
                  value:
                    code: 200
                    timestamp: 1763446641000
                    transaction_id: 41bb8041-fb83-4654-8d75-85a19f329158
                    data:
                      status_cd: '1'
                      data:
                        gstin: 32CHAND3868A1Z3
                        ret_period: '092024'
                        r2bStaleStatus: 'N'
                        declared_tmstmp: '2025-03-20 13:24:00'
                        chksum: >-
                          0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d
                        liab:
                          gstr1Liab:
                            sec_nm: TTL_LIAB_GSTR1
                            chksum: >-
                              0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d
                            ttl_tax: 2000
                            ttl_igst: 10
                            ttl_sgst: 0
                            ttl_cgst: 0
                            ttl_cess: 0
                            ttl_val: 10
                          iffLiab:
                            - sec_nm: TTL_LIAB_IFF
                              chksum: >-
                                938a7da1b6692b772d3c04fe1a7005ba1508d765acd007df5ed7fb7b8cb38c05
                              iff_ret_period: '072024'
                              ttl_tax: 2000
                              ttl_igst: 10
                              ttl_sgst: 0
                              ttl_cgst: 0
                              ttl_cess: 0
                              ttl_val: 10
                            - sec_nm: TTL_LIAB_IFF
                              chksum: >-
                                063a5b1a3bbc23d11761b156c446a285d7703be484a276a0a32e29bda10d4f8a
                              iff_ret_period: '082024'
                              ttl_tax: 2000
                              ttl_igst: 10
                              ttl_sgst: 0
                              ttl_cgst: 0
                              ttl_cess: 0
                              ttl_val: 10
                          gstr1aLiab:
                            sec_nm: TTL_LIAB_GSTR1A
                            chksum: >-
                              0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d
                            ttl_tax: 1000
                            ttl_igst: 10
                            ttl_sgst: 0
                            ttl_cgst: 0
                            ttl_cess: 0
                            ttl_val: 10
                        bal:
                          cash_bal:
                            chksum: >-
                              0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d
                            igst_bal: 10000
                            cgst_bal: 5000
                            sgst_bal: 5000
                            cess_bal: 1000
                            ttl_bal: 21000
                          itc_bal:
                            chksum: >-
                              0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d
                            igst_bal: 10000
                            cgst_bal: 0
                            sgst_bal: 0
                            cess_bal: 0
                            ttl_bal: 0
                          gstr2b_itc_bal:
                            chksum: >-
                              0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d
                            igst_bal: 0
                            cgst_bal: 0
                            sgst_bal: 0
                            cess_bal: 0
                            ttl_bal: 0
                record_not_found:
                  summary: Record Not Found
                  value:
                    code: 200
                    timestamp: 1782370458899
                    data:
                      status_cd: '0'
                      error:
                        message: >-
                          You are not allowed to view or confirm the declaration
                          details as GSTR-1A Summary is not generated for the
                          Current Period.
                        error_cd: RET191505
                    transaction_id: 0754f7ed-79d0-4a4c-be72-65f9297103ea
          headers: {}
      deprecated: false
      security: []

````